#!/bin/bash

# exit codes of GameServer:
#  0 normal shutdown
#  2 reboot attempt
echo -n "Starting Game Fast Server "


DBHOST=localhost
USER=root
PASS=
DBNAME=l2jdb

err=1
until [ $err == 0 ];
do

        java -Dfile.encoding=UTF-8 -Xms1024m -Xmx1024m -XX:+UseParallelGC -XX:+AggressiveOpts -cp ./lib/*:bsh-engine.jar:bsh-2.0b5.jar:c3p0-0.9.1.2.jar:jython.jar:jython-engine.jar:commons-logging-1.1.jar:commons-lang-2.1.jar:javolution.jar:mysql-connector-java-5.1.13-bin.jar:./lib/L2jCore.jar com.l2jcore.Game.GameServer > ./log/stdout.log 2>&1
        sleep 10;
done
